Subject: [PATCH 4/4] ARM64: dts: rockchip: add dts file for RK3399 evaluation board

From: [email-masked] (jay.xu)
Date: Wed, 27 Apr 2016 08:57:19 +0800

Hi Doug?

On 2016?04?27? 04:53, Doug Anderson wrote:
> Hi,
>
> On Tue, Apr 26, 2016 at 5:37 AM, Heiko St?bner <[email-masked]> wrote:
>>> +     model = "Rockchip RK3399 Evaluation Board";
>>> +     compatible = "rockchip,rk3399-evb", "rockchip,rk3399",
>>> +                  "google,rk3399evb-rev2", google,rk3399evb-rev1",
>>> +                  "google,rk3399evb-rev0" ;
>>
>> can you check against which compatibles that coreboot really matches?
>>
>> As we said that the evb changed between rev1 and rev2, I would expect the
>> compatible to be something like
>>
>>          compatible = "rockchip,rk3399-evb",  "google,rk3399evb-rev2",
>>                          "rockchip,rk3399";
>>
>> leaving out the rev1 and rev0
>
> What Heiko suggests seems reasonable to me.
>
> It all depends on what your bootloader is doing and what you guys want
> to do.  Chrome OS designs that I've worked on have had board
> strappings that you can read a board ID from and that's how the BIOS
> (like coreboot) will figure out which board ID it is running on.  I'm
> not aware of such strappings on rk3399-evb.  Do they exist?
>
> Of course, even without strappings it's possible to get the bootloader
> to work sanely.  You can either define the revision number at build
> time or you can store the revision number somewhere non-volatile.
>
yes, I will talk with coreboot developer about this, maybe to fix it in 
coreboot and just keep simple in dtsi file.

thanks

Jianqun
> -Doug